/* $Header: mType.c,v 2.1 91/07/11 12:37:41 sinyaw Exp $ */
#include <stdio.h>
#include <X11/X.h>
#include "PEX.h"
#include "PEXprotost.h"
#include "PEXproto.h"

void
pexpr_marker_type( str, type)
	char *str;
	pexEnumTypeIndex type;
{
#define VALID_MARKER_TYPE(_T) \
(_T >= PEXMarkerDot && _T <= PEXMarkerX)

	static char *mtype[6] = {
		NULL,
		"Dot",
		"Cross",
		"Asterisk",
		"Circle",
		"X",
	};

	if( VALID_MARKER_TYPE(type)) {
		(void) fprintf( stderr, "%s: %s\n", str, mtype[type]);
	} else
		(void) fprintf( stderr, "%s: Invalid\n", str);

#undef VALID_MARKER_TYPE
}
