/* $Header: rModel.c,v 2.1 91/07/11 12:38:09 sinyaw Exp $ */
#include <stdio.h>
#include <X11/X.h>
#include "PEX.h"
#include "PEXprotost.h"
#include "PEXproto.h"

void
pexpr_refl_model( str, model)
	char *str;
	pexEnumTypeIndex model;
{
#define VALID_REFL_MODEL(_MODEL) \
(_MODEL >= PEXReflectionNoShading && _MODEL <= PEXReflectionSpecular)

	static char *refl_model[] = {
		NULL,
		"NoShading",
		"Ambient",
		"Diffuse",
		"Specular",
	};

	if( VALID_REFL_MODEL(model)) {
		(void) fprintf( stderr, "%s: %s\n", refl_model[model]);
	} else {
		(void) fprintf( stderr, "%s: Invalid\n");
	}
}
